Update an audience
PATCH
/v1/audiences/{audience_id}
curl -X PATCH "https://us1.platform.bird.com/v1/audiences/{audience_id}" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "Newsletter subscribers"
}'Updates an audience's name or description.
Paramètres
audience_id
string
Audience ID.
Corps de la requête
name
string
Display name for the audience.
description
nullable string
Longer description of who this audience is. Set to null to clear.
Contenu de la réponse
id
string
obligatoire
Audience ID.
name
string
obligatoire
Display name for the audience.
description
nullable string
Longer description of who this audience is.
type
string
obligatoire
How the audience's recipients are determined. static audiences have an explicit member list you manage via the API. dynamic and external are preview values and currently unavailable — creating an audience with either returns an error.
created_at
string
obligatoire
updated_at
string
obligatoire